View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000158Ecere SDKecerepublic2009-05-03 05:452014-08-08 18:17
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000158: Take advantage of new DataType Size vs Struct size
DescriptionTake advantage of new DataType Size vs Struct size
Tagsv0.44d2
Attached Files

- Relationships
has duplicate 0000305closedjerome Type Size thing - (class.type == normalClass || class.type == noHeadClass) ? sizeof(void *) : class.typeSize 

-  Notes
(0000253)
jerome (administrator)
2010-07-26 03:19

We can do this for D3 as part of the compiler improvements.
(0001327)
jerome (administrator)
2014-06-03 04:01

Fixed by:
https://github.com/ecere/ecere-sdk/commit/c9ff08340f2943922040bb538a00313e27397b59 [^]

- Issue History
Date Modified Username Field Change
2009-05-03 05:45 jerome New Issue
2009-05-03 06:30 jerome Status new => assigned
2009-05-03 06:30 jerome Assigned To => jerome
2010-07-07 03:00 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 21:25 redj Relationship added child of 0000429
2010-07-26 03:19 jerome Note Added: 0000253
2010-07-26 03:20 jerome Relationship deleted child of 0000429
2010-07-26 03:20 redj Relationship added child of 0000437
2010-07-29 15:09 jerome Priority immediate => urgent
2012-03-08 16:52 redj Target Version => 0.45 Ginkakuji
2012-03-08 19:19 redj Relationship deleted child of 0000437
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-04-24 20:36 jerome Status assigned => new
2013-04-24 20:37 jerome Assigned To jerome =>
2013-04-25 09:45 jerome Relationship added has duplicate 0000305
2013-04-25 09:45 jerome Priority urgent => immediate
2013-04-25 09:45 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2014-06-02 17:40 jerome Assigned To => jerome
2014-06-02 17:40 jerome Status new => assigned
2014-06-02 17:40 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2014-06-03 04:01 jerome Status assigned => resolved
2014-06-03 04:01 jerome Fixed in Version => 0.44.10 64
2014-06-03 04:01 jerome Resolution open => fixed
2014-06-03 04:01 jerome Note Added: 0001327
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker